Skip to navigation

List Audit Entries

View as Markdown
Returns audit log entries for the tenant, sorted by time with the most recent first. Results can be filtered by time range, actor, role, action, and resource type, or searched by free text.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

start_timedatetimeOptional
Filter audit entries by time range
end_timedatetimeOptional
Filter audit entries by time range
rolestringOptional
Filter audit entries by role
actionstringOptional
Filter audit entries by action
resource_typestringOptional

Filter audit entries by resource_type

actor_typeenumOptional

Filter audit entries by actor_type

Allowed values:
searchstringOptional

Search for audit entries by text (searches user, role, action, resource type)

limitintegerOptional1-100Defaults to 25
offsetintegerOptional>=0Defaults to 0

Response

Successful response
itemslist of objects

List of items. If no matching items are found, then [] will be returned.

limitinteger1-100Defaults to 25
Maximum number of items to return
offsetinteger>=0Defaults to 0
Begin returning the results from this offset

Errors

400
Bad Request Error
422
Unprocessable Entity Error